Updates a pet in the store with form data.
curl --request POST \
--url https://petstore3.swagger.io/api/v3/pet/{petId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://petstore3.swagger.io/api/v3/pet/{petId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://petstore3.swagger.io/api/v3/pet/{petId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "doggie",
"photoUrls": [
"<string>"
],
"id": 10,
"category": {
"id": 1,
"name": "Dogs"
},
"tags": [
{
"id": 123,
"name": "<string>"
}
],
"status": "available"
}{
"code": "<string>",
"message": "<string>"
}pet
Updates a pet in the store with form data.
Updates a pet resource based on the form data.
POST
/
pet
/
{petId}
Updates a pet in the store with form data.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
ID of pet that needs to be updated
Query Parameters
Name of pet that needs to be updated
Status of pet that needs to be updated